## net.sf.saxon.instruct
Class UserFunctionParameter

    java.lang.Object
      |
      +--net.sf.saxon.instruct.UserFunctionParameter

All Implemented Interfaces:
  Binding, java.io.Serializable

public class UserFunctionParameter
extends java.lang.Object
implements Binding, java.io.Serializable

Run-time object representing a formal argument to a user-defined function

See Also:
  Serialized Form

Constructor Summary
`UserFunctionParameter()`

Method Summary
`Value` `evaluateVariable(XPathContext context)` Evaluate the variable
`SequenceType` `getRequiredType()`
`java.lang.String` `getVariableName()`
`void` `setRequiredType(SequenceType type)`
`void` `setSlotNumber(int slot)`
`void` `setVariableName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserFunctionParameter

    public UserFunctionParameter()

Method Detail

### setRequiredType

    public void setRequiredType(SequenceType type)

### getRequiredType

    public SequenceType getRequiredType()

### setSlotNumber

    public void setSlotNumber(int slot)

### evaluateVariable

    public Value evaluateVariable(XPathContext context)
                           throws XPathException

  Description copied from interface: `Binding`
  Evaluate the variable

  Specified by:
    `evaluateVariable` in interface `Binding`
    `XPathException`

### setVariableName

    public void setVariableName(java.lang.String name)

### getVariableName

    public java.lang.String getVariableName()